%define sunvers 1_2_1

Name: jndi
Version: 1.2.1
Release: alt2
Summary: Java Naming and Directory Interface
License: Sun Binary Code License
Url: http://java.sun.com/products/jndi
Group: Development/Java
Source0: %name-%sunvers.zip

BuildArch: noarch
BuildPreReq: /proc rpm-build-java
BuildRequires: java-common, unzip
Requires: java-common

%description
The Java Naming and Directory InterfaceTM (JNDI) is a standard
extension to the JavaTM platform, providing Java technology-enabled
applications with a unified interface to multiple naming and directory
services in the enterprise. As part of the Java Enterprise API set, JNDI
enables seamless connectivity to heterogeneous enterprise naming and
directory services. Developers can now build powerful and portable
directory-enabled applications using this industry standard.
JNDI works in concert with other J2EE technologies to organize and
locate components in a distributed computing environment.
JNDI 1.2 is a major upgrade release that includes, among other
features, support for event notification and LDAP v3 extensions and
controls. The specification contains valuable contributions from the
following companies: Netscape, Novell, Tarantella, Sun, BEA.

%package manual
Summary: Manual for %name
Group: Development/Java
Requires: java-common

%description manual
Documentation for %name.

%package demo
Summary: Demo for %name
Requires: %name = %version-%release
Group: Development/Java

%description demo
Demonstrations and samples for %name.

%prep
%setup -c -q
chmod -R go=u-w *

%build
%install
# jars
install -d -m 755 %buildroot%_javadir/%name
install -m 644 lib/%name.jar %buildroot%_javadir/%name

# data
install -d -m 755 %buildroot%_datadir/%name
cp -pr examples %buildroot%_datadir/%name

%files
%doc COPYRIGHT README.txt
%_javadir/*

%files manual
%doc doc/*

%files demo
%_datadir/%name

%changelog
* Thu Mar 24 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.1-alt2
- rpm-build-macroces

* Sun Sep 12 2004 Vladimir Lettiev <crux@altlinux.ru> 1.2.1-alt1
- spec cleanup

* Tue Feb 11 2003 Nicolas Mailhot <Nicolas.Mailhot@jpackage.org> 1.2.1-9jpp
- add extension handling

* Tue Feb 11 2003 Nicolas Mailhot <Nicolas.Mailhot@jpackage.org> 1.2.1-8jpp
- Remove javadoc as it is no longuer accessible on SUN site

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-6jpp
- vendor, distribution, group tags
- javadoc

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-5jpp
- nosrc package
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-4jpp
- spec cleanup

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-3jpp
- no dependencies for manual package
- stricter dependency for demo package
- standardised summary

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-2jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-1mdk
- first Mandrake release
